﻿body {
    /*margin-top: 90px !important;*/
    overflow-y: auto;
    overflow-x: hidden !important;
    /*padding-top: 150px;*/
}

.blockdisplay {
    display: block;
}

nav {
    background-color: #fff;
    border-bottom: 2px ridge red !important;
}

.powered-by-text {
    font-size: 1rem;
    color: #141B66;
    font-style: italic;
    margin-top:0;
    font-weight: 600;
}

.powered-by{
    width: auto;
    height: 25px;
}

html {
    /*overflow-x: hidden !important;*/
}

.container {
    /*width: 1200px !important;*/
}

.target img {
    /*width: 100% !important;*/
    min-height: 600px;
    height: auto;
}

.target {
    /*display: inline-block !important;*/
    /*position: relative !important;*/
}

#PopOver {
    width: 200px;
    min-height: 250px;
    height: auto;
    display: none;
    position: absolute;
    background-color: #fff;
    border: 2px 2px groove #000;
    z-index: 2000;
}

    #PopOver img {
        width: 100%;
        height: 30%;
        min-height: 25% !important;
    }

.asset-options {
    display: none;
}

.locationInfoPopUp {
    display: none;
}

.locationPopOver {
    /*display:block;*/
}



.locationPopOver img {
    min-height: 0;
}

.mainNav {
    background-color: #ffffff !important;
    border-color: #e7e7e7;
}

.modal-lg {
    width: 80% !important;
    position: absolute !important;
    left: 15% !important;
}

.navbar-default {
    background: #ffffff !important;
    border-bottom: 2px ridge red !important;
}



h3 {
}

a.acordian-link.first.active {
    display: none !important;
}

/*.responsive-tabs-container .accordion-link {
    display: none !important;
    margin-bottom: 10px;
    padding: 10px 15px;
    background-color: #f5f5f5;
    border-radius: 3px;
    border: 1px solid #ddd;
    color: #333;
}*/

.dropdowns {
    width: 100% !important;
    height: 30px !important;
    margin-right: 2% !important;
    margin-bottom: 20px !important;
    background-color: #73787F !important;
    color: #fff !important;
    z-index: 100;
    border-radius: 5px;
    padding-left: 5px;
}

.contentPane {
    display: block;
}

.btnPreview:hover {
    background-color: white;
    border: 2px outset #D60330;
    transition: border 0.2s;
}

.responsive-tabs-container {
    margin-top: 0 !important;
    width: 100%;
}

.tab-pane .responsive-tabs-container {
    margin-top: 40px !important;
}

.tab-pane .tab-content {
    border: 0 !important;
}

.noleftPadding {
    padding-left: 0;
}

.inner {
    margin-top: 30px !important;
    padding-left: 15px;
}

    .inner ul {
        width: 500px;
    }

    .inner li a {
        background-color: #fff !important;
        color: #000 !important;
        border: 1px solid #000;
        margin-right: 20px;
        width: auto;
    }

    .inner li.active a {
        background-color: #73787F !important;
        color: #fff !important;
    }

    .inner li a:hover {
        background-color: #73787F !important;
        color: #fff !important;
    }

.responsive-tabs li a:active {
    background-color: indianred !important;
    color: #fff !important;
}

.nav-tabs > li.active > a, .nav-tabs > li.active > a:hover, .nav-tabs > li.active > a:focus {
    color: #fff;
    cursor: default;
    background-color: indianred;
    border: 1px solid #dddddd;
    border-bottom-color: transparent;
    font-weight: bold;
}

.nav-tabs > li > a {
    margin-right: 2px;
    line-height: 1.428571429;
    border: 1px solid #ddd;
    border-radius: 4px 4px 0 0;
    color: #000;
}

    .nav-tabs > li > a:hover {
        background-color: indianred;
        color: #fff;
    }

.tab-content {
    border: 2px inset #ddd;
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 20px;
    min-height: 400px;
    height: auto;
    width: 100%;
}

.target {
    border: 2px solid #000;
    /*background-size: 1200px 100%;*/
    position: relative;
}

#stationZonesContainer {
    padding-right: 20px;
    text-align: center;
}

[contenteditable=true] {
    cursor: text !important;
}

.modal-body .editable {
    width: 100%;
    min-height: 300px;
    height: auto;
}

.stationZonesTextArea {
    padding: 20px;
    text-align: left;
    word-break: break-word;
}

#stationZonesContainer .stationZonesTextArea {
    outline: hidden;
    border: 2px outset grey;
    width: 80%;
    overflow-y: auto;
    height: 120px;
    margin: 0 auto;
    position: relative;
    background: #fff;
    cursor: pointer;
}

.tox-tinymce{
    height: 300px !important;
}
/*#stationZonesContainer .stationZonesTexArea:hover {
    position: absolute;
    height: auto!important;
    overflow-y: scroll;
    z-index: 5000;
    cursor: text;
}*/
.stationZonesTitle {
    margin-top: 0;
}

.stationDetails {
    padding: 20px;
}

    .stationDetails h2 {
        margin-top: 0;
    }

.assetStatusKey{
    width: 100%;
    height: 50px;
    background-color: #fff;
    padding-top: 10px;
}

.assetStatusKey .marker {
    position: relative !important;
    margin-right: 10px;
}

.marker {
    background-color: #fff !important;
    border: 2px solid #D60330;
    border-radius: 50%;
    width: 25px !important;
    height: 25px !important;
    position: absolute !important;
    text-align: center;
    cursor: pointer;
    z-index: 2 !important;
    display: inline-block;
}

/*.marker.fail, .marker.close-to-fail .currentMarker.fail, .currentMarker.close-to-fail {
    border: 2px solid #000;
    color:#000;
}

.marker.fail {
    background-color: #D60330 !important;
}

.marker.close-to-fail {
    background-color: #FFAA2A !important;
}*/

.assetStatusKey .currentMarker{
    animation:none;
    cursor: default;
}

.currentMarker {
    background-color: royalblue !important;
    border-color: yellow !important;
    animation: pulse 1s infinite;
    z-index: 3 !important;
}

#optionsDiv {
    width: 50px;
    height: 30px;
    border: 2px solid black;
    background-color: white;
    z-index: 2;
    display: inline-block;
    position: absolute
}

.optionsMenu {
    position: relative;
    top: 0;
    right: 0;
    font-size: 18pt;
    color: red;
    cursor: pointer;
}

.addAssetPopUp {
    background-color: #fff;
    width: 200px;
    min-height: 200px;
    height: auto;
    z-index: 4000;
    margin-right: 0;
    display: none;
    border: 4px groove indianred;
}

@keyframes pulse {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.25);
    }

    100% {
        transform: scale(1);
    }
}

.currentMarker span {
    color: #fff;
}

.type {
    color: #000;
    font-weight: bold;
    font-size: 12px;
    text-align: center;
}

#typesKey {
    margin-top: 20px;
    margin-left: 20px;
    margin-right: 20px;
    padding-left: 0;
}

.keyItem {
    padding-bottom: 5px;
    margin-right: 10px;
    list-style: none;
    display: inline-block;
    margin-bottom: 10px;
}

.adminMenu {
    padding-left: 0;
}

.adminBtn {
    background-color: #fff;
    border: 2px outset grey;
    padding: 10px 0;
    width: 10rem;
    color: #000;
    border-radius: 20px;
    margin-right: 0;
    outline: 0;
    margin-top:5px;
}

    .adminBtn a {
        text-decoration: none;
    }

    .adminBtn:hover {
        background-color: white;
        border: 2px outset #D60330;
        transition: border 0.1s;
    }

    .adminBtn.active {
        background-color: white;
        border: 2px outset #D60330;
        transition: border 0.1s;
    }


.login-image {
    width: 80%;
    height: auto;
    border-radius: 10px;
    border: 3px solid #ddd;
    margin-top: 5%;
}

#infoSidebar {
    position: relative;
    width: 100%;
    top: 40px;
    right: 0;
    width: 15%;
    min-height: 500px;
    height: auto;
    background-color: #fff;
    border: 3px outset #ddd;
    margin-top: 140px;
    margin-right: 5px;
}

    #infoSidebar h3 {
        font-size: 14px;
        font-weight: bold;
    }

.assetKeyHeader {
    padding-bottom: 30px;
}

    .assetKeyHeader h2 {
        font-size: 15px;
        font-weight: bold;
    }

.key {
    padding-left: 5px;
}

.keyInfoContainer {
    padding-left: 0;
}

.keyMarker {
    display: inline-block;
    background-color: grey !important;
    border: 1px solid #000;
    border-radius: 50%;
    width: 25px !important;
    height: 25px !important;
    /*    padding-left: 3.5px;
    padding-right: 7.5px;*/
    padding-top: 2px;
    color: #fff;
    opacity: 0.8;
    font-size: 16px;
    margin-right: 10px;
}

    .keyMarker:hover {
        background-color: #fff !important;
        color: red;
        cursor: pointer;
    }

#infoSidebar tr {
    border: none;
}

.keyInfoContainer td {
    padding: 10px 0 10px 0 !important;
}



.bottom-margin {
    margin-bottom: 15px !important;
}

.keyMarker {
    /*background-color: grey !important;
    border: 2px solid #000;
    border-radius: 50%;
    width: 30px !important;
    height: 30px !important;
    position: relative;
    margin: auto;
    text-align: center;*/
}

    .keyMarker a {
        color: #fff !important;
    }

    .keyMarker:hover {
        background-color: red !important;
        color: #fff !important;
        cursor: pointer;
    }



.close {
    position: absolute;
    top: 2rem;
    right: 2rem;
    color: red !important;
    opacity: 0.7 !important;
    display: block;
    z-index: 3000;
    font-size: 3rem;
}

.infoBoxes {
    border: 2px dashed grey !important;
    height: 100px;
    padding: 10px;
    margin-bottom: 20px;
}

.infoContent {
    margin-top: 40px !important;
    width: 100%;
    height: 500px;
    overflow-y: auto;
}

.tab-inactive {
    padding: 10px 17px;
    width: 100px !important;
    background-color: white !important;
    color: #000 !important;
    border-top: 1px solid #000 !important;
    border-left: 1px solid #000 !important;
    border-right: 1px solid #000 !important;
    border-top-left-radius: 10px !important;
    border-top-right-radius: 10px !important;
    border-bottom-style: none !important;
    border-bottom-color: inherit !important;
    border-bottom-width: medium;
}

    .tab-inactive:hover {
        background-color: indianred !important;
        color: white !important;
        text-decoration: none;
        cursor: pointer;
    }

.tab-active {
    padding: 10px 17px;
    width: 100px !important;
    background-color: indianred !important;
    color: white !important;
    border-top: 1px solid #000 !important;
    border-left: 1px solid #000 !important;
    border-right: 1px solid #000 !important;
    border-top-left-radius: 10px !important;
    border-top-right-radius: 10px !important;
    border-bottom-style: none !important;
    border-bottom-color: inherit !important;
    border-bottom-width: medium;
}

    .tab-active a {
        text-decoration: none;
    }

    .tab-active:hover {
        background-color: indianred !important;
        color: white !important;
        text-decoration: none;
        cursor: default;
    }

.inner-tab-active {
    padding: 10px 17px;
    width: 100px !important;
    background-color: indianred !important;
    color: white !important;
    border-top: 1px solid #000 !important;
    border-left: 1px solid #000 !important;
    border-right: 1px solid #000 !important;
    border-bottom: 1px solid #000 !important;
    border-radius: 10px;
}

.inner-tab-inactive {
    padding: 10px 17px;
    width: 100px !important;
    background-color: white !important;
    color: #000 !important;
    border-top: 1px solid #000 !important;
    border-left: 1px solid #000 !important;
    border-right: 1px solid #000 !important;
    border-bottom: 1px solid #000 !important;
    border-radius: 10px;
}

.markerKey {
    background-color: #fff !important;
    border: 2px solid #D60330;
    border-radius: 50%;
    width: 30px !important;
    height: 30px !important;
    padding-top: 1px;
    position: relative;
    display: inline-block;
    margin-right: 1rem;
    text-align: center;
}

.assetItem {
    /*margin: 1.5rem 2rem 1rem;*/
    margin-bottom: 1rem;
    cursor: pointer;
}

.noSidePadding {
    padding-left: 0;
    padding-right: 0;
}

a.txtCarriage {
    color: #000 !important;
    font-weight: 400;
    width: 100px;
    padding: 5px;
    background-color: indianred;
    display: inline-block;
    margin: 10px;
    text-align: center;
    color: #fff !important;
    border: 1px outset #000;
    border-radius: 10px;
}

ul#carriageList {
    padding: 0;
    margin: 0;
}

    ul#carriageList li {
        list-style: none;
        display: inline-block;
        margin-left: 0;
    }

a.txtCarriage:hover {
    background-color: red !important;
    color: #fff !important;
    font-weight: bold;
}

.planImage {
    padding-right: 0;
    padding-left: 0;
    margin-bottom: 20px;
}

.ion-checkmark {
    color: green;
}

.ion-close {
    color: indianred;
}

.target {
    min-height: 500px;
    height: auto;
    border: 2px solid #000;
}

.modal {
    z-index: 1400 !important;
}

.asset-options {
    display: none;
}

.extraInfo {
    height: 200px;
    overflow-y: auto;
    padding: 20px;
}

.locationPopOver {
    position: fixed !important;
    right: 0 !important;
    left: unset !important;
    top: 0 !important;
    height: 100vh !important;
    border-top: 0 !important;
    border-bottom: 0 !important;
    border-right: 0 !important;
    border-left: 0;
    z-index: 1200 !important;
    width: 0;
    margin-right: 0;
    background-color: #fff !important;
    display: block;
    overflow-y: auto;
    padding: 1rem;
}

.leftSideBarContainer {
    position: fixed !important;
    left: 0 !important;
    top: 0;
    width: 25%;
    height: 100vh;
    /*z-index: 1200 !important;*/
    z-index: 0;
    display: block;
}

.leftSideBar {
    background-color: #fff;
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    /*z-index: 1200 !important;*/
    /*border-right-color: indianred !important;*/
    border-right: 0px inset indianred !important;
    z-index: 1200;
    overflow: hidden;
    transition: width linear 0.5s, border-right linear 0.5s !important;
    /*padding: 0 3rem 1rem 2rem;*/
}

    .leftSideBar h2 {
        margin-bottom: 2rem;
        font-size: 2.5rem;
        font-weight: 500;
        display: inline-block;
    }

    .leftSideBar h3 {
        margin-bottom: 2rem;
        font-size: 2.3rem;
    }

    .leftSideBar .svg-inline--fa {
        margin-right: 1rem;
        font-size: 2.5rem;
    }

/*.leftSideBar {
    position: fixed !important;
    left: 0 !important;
    left: unset !important;
    top: 0 !important;
    height: 100vh !important;
    border-top: 0 !important;
    border-bottom: 0 !important;
    border-right: 0 !important;
    border-left: 0;
    border-right: 1px solid #000;
    z-index: 1200 !important;
    width: 200px;
    margin-right: 0;
    background-color: #fff !important;
    display: block;
    overflow-y: auto;
}*/
.openIcon {
    display: inline-block;
    background-color: indianred;
    color: #fff;
    width: 15%;
    height: 60px;
    position: absolute;
    top: 45%;
    /*left: -1px;*/
    right: 85%;
    border-radius: 0 7px 7px 0;
    border-left: 0;
    padding: 0.5rem;
    text-align: center;
    cursor: pointer;
    z-index: 1201 !important;
    transition: right linear 0.5s;
    display: none;
}

.open {
    right: -15%;
    transition: right linear 0.5s;
}

.expanded {
    width: 100%;
    /*z-index: 1200;*/
    overflow-y: auto;
    border-right: 10px groove indianred !important;
    padding: 0 3rem 1rem 2rem;
    transition: width linear 0.5s, border-right linear 0.5s;
}

.assetkeyContainer {
    /*display: none;*/
    opacity: 0;
    text-align: center;
}

.assetKeyLoading {
    margin-left: 10%;
    margin-top: 2%;
}

.isPortrait, .isLandscape {
    position: relative;
    z-index: 1;
}

/*@keyframes openMenu{
    0%{
        z-index: 1200;
    }

}*/
.openIcon .svg-inline--fa {
    font-size: 1.8rem;
    font-weight: 100;
    margin-right: 0.5rem;
    margin-top: 25%;
}

.AddInfoslideIn {
    border-left: 10px groove indianred !important;
    width: 20% !important;
    transition: width ease-in 0.5s;
}

.AddInfoslideOut {
    width: 0 !important;
    transition: width ease-out 0.5s;
    border-left: 0 !important;
    margin-right: -100px;
    transition: margin-right 0.5s;
}

.ShowInfoslideIn {
    border-left: 5px groove indianred !important;
    width: 20% !important;
    transition: width ease-in 0.5s;
}

.ShowInfoslideOut {
    width: 0 !important;
    transition: width ease-out 0.5s;
    border-left: 0 !important;
}

.noSlide {
    display: block;
}

.outofservice {
    font-size: 6rem;
    letter-spacing: 1rem;
    position: absolute;
    text-align: center;
    color: darkred;
    padding: 1% 20%;
    display: inline-block;
    margin: 0 auto;
}

.overlay {
    width: 100%;
    height: 100%;
    background-color: #000;
    position: absolute;
    opacity: 0.4;
}

.overlayMarker {
    opacity: 0.7;
}

.dropdownLoading {
    display: none;
}

.fade-out {
    opacity: 0;
    transition: opacity 2s;
}

.fade-in {
    opacity: 1;
    transition: opacity 0.5s;
}

.targetActive{
    /*display:none;*/
}

/*.targetActive{
    opacity: 1;
}*/


/*
    Spinner
*/

.loader {
    margin: 100px auto;
    font-size: 25px;
    width: 1em;
    height: 1em;
    border-radius: 50%;
    position: absolute;
    text-indent: -9999em;
    -webkit-animation: load5 1.1s infinite ease;
    animation: load5 1.1s infinite ease;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
}

@-webkit-keyframes load5 {
    0%, 100% {
        box-shadow: 0em -2.6em 0em 0em #ffffff, 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.5), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.7);
    }

    12.5% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.7), 1.8em -1.8em 0 0em #ffffff, 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.5);
    }

    25% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.5), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.7), 2.5em 0em 0 0em #ffffff, 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    37.5% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.5), 2.5em 0em 0 0em rgba(255, 255, 255, 0.7), 1.75em 1.75em 0 0em #ffffff, 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    50% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.5), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.7), 0em 2.5em 0 0em #ffffff, -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    62.5% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.5), 0em 2.5em 0 0em rgba(255, 255, 255, 0.7), -1.8em 1.8em 0 0em #ffffff, -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    75% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.5), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.7), -2.6em 0em 0 0em #ffffff, -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    87.5% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.5), -2.6em 0em 0 0em rgba(255, 255, 255, 0.7), -1.8em -1.8em 0 0em #ffffff;
    }
}

@keyframes load5 {
    0%, 100% {
        box-shadow: 0em -2.6em 0em 0em #ffffff, 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.5), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.7);
    }

    12.5% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.7), 1.8em -1.8em 0 0em #ffffff, 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.5);
    }

    25% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.5), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.7), 2.5em 0em 0 0em #ffffff, 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    37.5% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.5), 2.5em 0em 0 0em rgba(255, 255, 255, 0.7), 1.75em 1.75em 0 0em #ffffff, 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    50% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.5), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.7), 0em 2.5em 0 0em #ffffff, -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.2), -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    62.5% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.5), 0em 2.5em 0 0em rgba(255, 255, 255, 0.7), -1.8em 1.8em 0 0em #ffffff, -2.6em 0em 0 0em rgba(255, 255, 255, 0.2), -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    75% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.5), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.7), -2.6em 0em 0 0em #ffffff, -1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2);
    }

    87.5% {
        box-shadow: 0em -2.6em 0em 0em rgba(255, 255, 255, 0.2), 1.8em -1.8em 0 0em rgba(255, 255, 255, 0.2), 2.5em 0em 0 0em rgba(255, 255, 255, 0.2), 1.75em 1.75em 0 0em rgba(255, 255, 255, 0.2), 0em 2.5em 0 0em rgba(255, 255, 255, 0.2), -1.8em 1.8em 0 0em rgba(255, 255, 255, 0.5), -2.6em 0em 0 0em rgba(255, 255, 255, 0.7), -1.8em -1.8em 0 0em #ffffff;
    }
}

/*End Spinner*/

.loading {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background-color: red;
    min-height: 20px !important;
    height: 20px !important;
    width: 200px;
}

.carriageNumber {
    font-size: 16px;
    color: indianred;
    font-weight: bold;
}

.carriageName {
    font-size: 18px;
    color: #000;
    font-weight: bold;
}

/*#carriageTypes{
    display:none;
}*/

.navbar-brand {
    
    padding: 20px 0;
}

.logo {
    width: 250px;
}

.navbar-brand img {
    
    /*width: 60%;*/
}

.navbar{
    padding: 20px;
}

.login-info {
    text-align: center;
    font-size: 1.5rem;
    font-weight: 500;
}

.pdfview {
    height: 100vh !important;
}

/* Override the default html edit box styles */

.editable h1, .editable h2, .editable h3, .editable h4,
.editable h5, .editable h6 {
    font-size: 1.5em !important;
}

.editable h1, .editable h2, .editable h3, .editable h4,
.editable h5, .editable h6,
.editable p {
    padding: 5px 0 !important;
    line-height: 2em !important;
}

@media(orientation: portrait) {
    .asset-options {
        display: none !important;
    }

    .locationInfoPopUp {
        display: none !important;
    }

    .locationPopOver {
        display: none !important;
    }

    .leftSideBarContainer {
        display: none !important;
    }

    #MainContent_updExtraStationInfo {
        display: none;
    }
}

@media (orientation: portrait){
    .isPortrait {
        display: block;
        margin-top: 100px;
    }

    .body-content {
        display: none;
    }
}

@media(min-width: 768px) and (orientation: portrait) {

    body {
        margin-top: 10px;
    }


    .nav > li > a {
        position: relative;
        display: block;
        padding: 0 !important;
        margin-top: 35px;
    }

}

@media(min-width: 768px) and (orientation: landscape) {
    .carriagePlan .target{
        background-size: contain !important;
        background-position-y:center;
        
    }


}

@media(orientation: landscape) {
    .noMapMsg {
        display: none;
    }

    .contentPane {
        display: block !important;
    }

/*    .navbar-brand img {
        display: block;
        width: 100%;
        margin-left: 57%;
        margin-right: 90%;
    }*/

    .tab-content {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .target {
        /*min-height: 600px;*/
    }
}

.login-info ul {
    list-style-type: none;
    padding-left: 0;
    font-size: 1.5rem;
    font-weight: 500;
}

.logout a {
    color: #204555;
    font-size: 1.4rem;
    font-weight: bold;
}



    @media (min-width: 1024px) {
        .navigation {
        max-width: 1200px;
        margin: 0 auto;
    }
}


@media (max-width: 1024px) {
    .markerHolder {
        margin-top: 5px;
    }

    .openIcon {
        top: 60%;
    }

    .selectAll {
        float: none !important;
        margin-left: 0px !important;
        text-align: center;
    }

    .leftSideBarContainer {
        width: 32%;
        z-index: 0;
    }

    .expanded {
        width: 100%;
        z-index: 1200 !important;
    }

    .open {
        right: -15%;
    }

    .openIcon {
        width: 18%;
    }


    /*.locationPopOver{
    position: absolute;
    background-color: #fff;
    width: 200px;
    min-height: 200px;
    height: auto;
    z-index: 2050;
}*/
    .target {
    }

    .logo {
        display: block;
        margin-left: 35%;
        margin-right: 35%;
    }



    .navbar-brand img {
        /*width: 100% !important;*/
    }

    #loginForm {
        width: 80%;
        margin-left: auto;
        margin-right: auto;
        text-align: center;
    }

        #loginForm input {
            width: 70%;
            margin-left: auto;
            margin-right: auto;
        }
}

@media(max-width: 767px) and (orientation: landscape) {

    .nav-tabs {
        margin-top: 40px !important;
        display: inline-block;
    }

    .isPortrait {
        display: none;
    }

    .isLandscape {
        display: block;
        width: 100% !important;
    }

    .responsive-tabs-container {
        margin-top: 90px !important;
    }

        .responsive-tabs-container .accordion-link {
            margin-bottom: 10px;
            padding: 10px 15px;
            background-color: indianred;
            border-radius: 3px;
            border: 1px solid #ddd;
            color: #fff;
            font-weight: bold;
        }

/*    .navbar-right a {
        text-align: center;
    }*/

    .tab-active {
        /*width: 100% !important;*/
        border-radius: 0;
        background-color: indianred !important;
        color: #fff !important;
        display: inline-block !important;
        margin-bottom: 10px;
        padding: 10px 15px;
    }

    .tab-inactive {
        /*width: 100% !important;*/
        border-radius: 0;
        background-color: #000 !important;
        color: #fff !important;
        display: inline-block !important;
        margin-bottom: 10px;
        padding: 10px 15px;
    }

    .tab-content {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .target {
        /*min-height: 600px !important;*/
    }

  /*  .navbar-default {
        min-height: 60px !important;
        height: auto !important;
    }*/

    .navbar-header {
        padding: 0 !important;
    }

    .navbar-brand {
        padding: 0 !important;
        float: none !important;
    }

        .navbar-brand img {
            /*width: 100% !important;*/
        }

    .navbar-right {
        margin-left: 60% !important;
        width: 100% !important;
    }

        .navbar-right li {
            display: inline-block !important;
            margin-bottom: 0;
        }

            .navbar-right li a {
                padding: 0 !important;
            }

    .assetCriteriaPopUp {
        width: 200px !important;
    }
}

@media (min-width: 300px) and (max-width: 991px) and (orientation: portrait) {

    .isPortrait {
        display: block;
        width: 300px;
        margin-left: auto;
        margin-right: auto;
    }

    .isLandscape {
        display: none;
    }

    .rotateText {
        width: 300px;
        display: block;
        margin-left: auto;
        margin-right: auto;
        font-size: 22px;
    }
}

@media (max-width: 1280px) and (orientation: landscape) {
    .locationInfoPopUp {
        position: fixed !important;
        right: 0 !important;
        left: unset !important;
        top: 0 !important;
        height: 100vh !important;
        border-top: 0 !important;
        border-bottom: 0 !important;
        border-right: 0 !important;
        border-left: 0;
        z-index: 1200 !important;
        width: 0 !important;
        margin-right: 0 !important;
    }

    /*.locationPopOver{
        position: fixed !important;
        right: 0 !important;
        left: unset !important;
        top: 0 !important;
        height: 100vh !important;
        border-top: 0 !important;
        border-bottom: 0 !important;
        border-right: 0 !important;
        border-left: 0;
        z-index: 2100 !important;
        width: 0 !important;
        margin-right: 0 !important;
    }*/
}

@media (min-width: 300px) and (max-width: 1300px) and (orientation: landscape) {
    .isPortrait {
        display: none !important;
    }

    .isLandscape {
        display: block;
    }

    .rotateText {
        display: none;
    }

    .target {
        min-width: 400px !important;
        width: 100%;
        background-size: 100% 100% !important;
    }

    .modal-lg {
        width: 100% !important;
        left: 0 !important;
    }

    .modal-dialog {
        padding: 0 !important;
        z-index: 3001 !important;
    }

    .locationInfoPopUp {
        position: fixed !important;
        right: 0 !important;
        left: unset !important;
        top: 0 !important;
        height: 100vh !important;
        border-top: 0 !important;
        border-bottom: 0 !important;
        border-right: 0 !important;
        border-left: 0;
        z-index: 1200 !important;
        width: 0 !important;
        margin-right: 0 !important;
        background-color: #fff;
        display: block;
    }

    /*.locationPopOver{
    position: absolute;
    background-color: #fff;
    width: 0;
    min-height: 200px;
    height: auto;
    z-index: 2050;
    margin-right: 0;
}*/

    /*.locationPopOver{
        position: fixed !important;
        right: 0 !important;
        left: unset !important;
        top: 0 !important;
        height: 100vh !important;
        border-top: 0 !important;
        border-bottom: 0 !important;
        border-right: 0 !important;
        border-left: 0;
        z-index: 1200 !important;
        width: 0;
        margin-right: 0;
        background-color: #fff !important;
        display: block;

    }*/

    .locationPopOver img {
        width: 100% !important;
    }

    .asset-options {
        width: 0;
        display: none;
        opacity: 1;
    }

    .stationInfo {
        position: fixed !important;
        right: 0 !important;
        top: 0 !important;
        background-color: #fff;
        width: 250px;
        height: 100vh !important;
        z-index: 2050;
        border: 4px groove indianred;
        cursor: move;
        display: none;
        margin-right: 0;
        background-color: #fff !important;
    }

        .stationInfo img {
            width: 100%;
            height: auto;
        }

    .stationInfoLink {
        cursor: pointer;
        font-size: 100%;
        color: indianred;
    }

    .slideIn {
        opacity: 1 !important;
        width: 30% !important;
        transition: width ease-in 0.5s !important;
    }

    /*.AddInfoslideIn{
        border-left: 5px groove indianred !important;
        width: 30% !important;
        transition: width ease-in 0.5s;
    }*/

    /*.AddInfoslideOut{
        width: 0 !important;
        transition: width ease-out 0.5s;
        border-left: 0 !important;
        margin-right: -100px;
        transition: margin-right 0.5s;
    }

    .ShowInfoslideIn{
        border-left: 5px groove indianred !important;
        width: 30% !important;
        transition: width ease-in 0.5s;
    }

    .ShowInfoslideOut{
        width: 0 !important;
        transition: width ease-out 0.5s;
        border-left: 0 !important;
    }*/

    .close {
        position: absolute !important;
        right: 10px !important;
    }

    .assetCriteriaPopUp {
        position: fixed;
        top: 0;
        right: 0;
        width: 300px;
        height: 100vh;
        background-color: #fff;
        border: 2px groove #000;
        z-index: 2000;
        padding-left: 10px;
        padding-right: 10px;
        padding-bottom: 20px;
        overflow-y: auto;
    }

    .stationInfo img {
        margin-top: 40px;
        width: 110%;
        height: auto;
    }

    .stationInfo h3, h2 {
        font-size: 130%;
    }
}

@media(min-width: 1200px) {
    

    .leftSideBar .mobileqty {
        display: none !important;
    }
}

@media(max-width:1200px) {
    .columnrevrse {
        display: flex !important;
        flex-direction: column-reverse;
    }

    .itemFilter {
        margin-left: -50px !important;
        margin-right: 35px !important;
    }
}

@media(min-width: 1300px) {
    /*.locationPopOver{
    position: absolute;
    background-color: #fff;
    width: 200px;
    min-height: 200px;
    height: auto;
    z-index: 2050;
    margin-right: 0;
    display: none;
    border: 4px groove indianred;
}*/

    .leftSideBarContainer {
        width: 20% !important;
    }

    .stationInfo {
        position: absolute;
        top: 50%;
        left: 50%;
        background-color: #fff;
        width: 250px;
        min-height: 200px;
        height: auto;
        z-index: 2050;
        border: 4px groove indianred;
        cursor: move;
        display: none;
    }

    .stationInfoLink {
        cursor: pointer;
        font-size: 100%;
        color: indianred;
    }

    .stationInfo img {
        margin-top: 40px;
        width: 110%;
        height: auto;
    }

    .stationInfo h3, h2 {
        font-size: 130%;
    }

    .asset-options {
        display: none;
    }

    .isPortrait {
        display: none !important;
    }

    .isLandscape {
        display: block;
    }

    .rotateText {
        display: none;
    }

    .target {
        min-height: 600px !important;
        background-size: 100% 100% !important;
    }

    .locationInfoPopUp {
        position: absolute;
        top: 0;
        left: 0;
        width: 200px;
        height: auto;
        overflow-x: hidden;
        overflow-y: auto;
        border: 2px groove black;
        z-index: 3;
        background-color: white
    }

    .assetCriteriaPopUp {
        position: absolute;
        top: 50%;
        left: 50%;
        width: 300px;
        min-height: 400px;
        height: auto;
        background-color: #fff;
        border: 2px groove #000;
        z-index: 5;
        padding-left: 10px;
        padding-right: 10px;
        cursor: move;
    }


}

@media (max-width: 997px) and (orientation: portrait) {

    .body-content {
        /*margin-top: 90px !important;*/
    }

    .carriage-tabs {
        display: none;
    }

    /*.navbar-brand img {
        display: block;
        width: 50%;
        margin-left: 35%;
        margin-right: 35%;
    }*/

    .navbar-right a {
        text-align: center;
    }

    .logo {
        display: block;
        width: 50%;
        margin-left: 35%;
        margin-right: 35%;
    }

/*    .login-image {
        width: 70%;
        display: block;
        margin-left: auto;
        margin-right: auto;
    }*/

    #loginForm {
        width: 80%;
        margin-left: auto;
        margin-right: auto;
        text-align: center;
    }

        #loginForm input {
            width: 70%;
            margin-left: auto;
            margin-right: auto;
        }



    .filters h3 {
        text-align: center;
        padding-left: 25%;
    }

    .dropdowns {
        width: 100% !important;
    }

    .responsive-tabs-container .accordion-link {
        margin-bottom: 10px;
        padding: 10px 15px;
        background-color: indianred;
        border-radius: 3px;
        border: 1px solid #ddd;
        color: #fff;
        font-weight: bold;
    }

    .tab-content {
        border: 0;
        padding-left: 20px;
        padding-right: 20px;
        padding-bottom: 20px;
        min-height: 400px;
        height: auto;
        width: 100%;
    }

    .tab-active {
        width: 100% !important;
        border-radius: 0;
        background-color: indianred !important;
        color: #fff !important;
        display: block !important;
        margin-bottom: 10px;
        padding: 10px 15px;
    }

    .tab-inactive {
        width: 100% !important;
        border-radius: 0;
        background-color: #000 !important;
        color: #fff !important;
        display: block !important;
        margin-bottom: 10px;
        padding: 10px 15px;
    }

    /*.responsive-tabs-container.accordion-sm .nav-tabs {
    width: 100%;
    display: block;
    }*/
}
